﻿Imports Docs.Excel
Imports Docs.Excel.Converting


Module Module1

    Sub Main()
        'Read excel file.
        Dim wbook As ExcelWorkbook = ExcelWorkbook.ReadXLSX("..\..\..\ExcelRange.xlsx")
        Dim converter As ExcelToHtml = New ExcelToHtml(wbook)
        converter.Worksheets(0).ShowGrid = True

        ' Set index of first displayed row.
        converter.Worksheets(0).StartRow = 2

        ' Set index of last displayed row.
        converter.Worksheets(0).EndRow = 4

        ' Set index of first displayed column.
        converter.Worksheets(0).StartColumn = 1

        ' Set index of last displayed column.
        converter.Worksheets(0).EndColumn = 2

        'Save specified worksheet to HTML file. 
        Dim html_file = "..\..\..\ExcelToHtml.html"
        converter.Worksheets(0).SaveHTML(html_file)

        'Open specified file.
        System.Diagnostics.Process.Start(html_file)

    End Sub

End Module
